SDL_GetRendererName(3)

NAME
SDL_GetRendererName - Get the name of a renderer.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetRendererName(SDL_Renderer *renderer);

FUNCTION PARAMETERS

renderer
    the rendering context.

RETURN VALUE
Returns the name of the selected renderer, or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateRenderer(3), •(3), SDL_CreateRendererWithProperties(3)